Bug 591044 - gettext-0.18.1.1 is available
gettext-0.18.1.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 06:08 EDT by Upstream Release Monitoring
Modified: 2010-07-06 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: gettext-0.18.1.1-1.1.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2010-05-11 06:08:40 EDT
Latest upstream release: 0.18
Current version in Fedora Rawhide: 0.17
URL: http://ftp.gnu.org/gnu/gettext

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 1 acount closed by user 2010-05-11 06:46:01 EDT
changelog 0.18(May 2010), since Version 0.17(November 2007) :

* Runtime behaviour:
  - On MacOS X and Windows systems, <libintl.h> now extends setlocale() and
    newlocale() so that their determination of the default locale considers
    the choice the user has made in the system control panels.
  - On MacOS X systems, the gettext()/dgettext()/... functions now respect the
    locale of the current thread, if a thread-specific locale has been set.

* PO file format:
  There is a new field 'Language' in the header entry.  It denotes the language
  code (plus optional country code) for the PO file.  This field can be used
  by automated tools, such as spell checkers.  It is expected to be more
  reliable than looking at the file name or at the 'Language-Team' field in
  the header entry.
  msgmerge, msgcat, msgen have a new option --lang that allows to specify
  this field.  Additionally, msgmerge fills in this new field by looking at
  the 'Language-Team' field (if the --lang option is not given).

* xgettext and PO file format:
  For messages with plural forms, programmers can inform the translators
  about the range of possible values of the numeric argument, like this:
    /* xgettext: range: 0..15 */
  This information 'range: 0..15' is stored in the PO file as a flag attached
  to the message.  Translators can produce better translations when they know
  that the numeric argument is small.

* Colorized PO files:
  msgattrib, msgcomm, msgconv, msgen, msgfilter, msggrep, msginit, msgmerge,
  msgunfmt, msguniq, xgettext now have options --color and --style, like msgcat
  has since version 0.17.

* msgmerge is up to 10 times faster when the PO and POT files are large.
  This speedup was contributed by Ralf Wildenhues.

* msgcmp has a new option -N/--no-fuzzy-matching, like msgmerge has since
  version 0.12.

* msgfilter now sets environment variables during the invocation of the
  filter, indicating the msgid and location of the messge being processed.

* xgettext now can extract plural forms from Qt 4 programs. The recommended
  xgettext command-line options for this case are:
    --qt --keyword=tr:1,1t --keyword=tr:1,2c,2t --keyword=tr:1,1,2c,3t

* xgettext --language=GCC-source now recognizes also the format strings
  used in the Fortran front-end of the GCC compiler, and marks them as
  'gfc-internal-format'.

* autopoint can now be used to update several PO directories all together.

* PO mode changes:
  - PO files with plural entries are now correctly handled.
  - Editing a message with previous msgid (in comments) removes these
    comments.  Contributed by Noritada Kobayashi.

* The po/Makevars file has a new field MSGMERGE_OPTIONS, that can be used
  to adjust msgmerge's operation.

* The use of the macro AM_GNU_GETTEXT without 'external' argument and the
  --intl option of the gettextize program are deprecated and will be removed
  in the next release. Instead of including the intl sources in your package,
  we suggest making the libintl library an (optional) prerequisite of your
  package.

* Updated the meaning of 'gcc-internal-format' to match GCC 4.3.

* Installation options:
  The configure options --without-cvs and --with-git can be used to specify
  whether 'autopoint' will use the 'cvs' program, or the 'git' program, or
  none at all. These options allow to trade dependencies against installed
  package size: If --without-cvs is specified and --with-git is not specified,
  'autopoint' will not rely on 'cvs' or 'git', but will instead rely on a
  locally installed a 3 MB large archive.

* Portability:
  - The msgfilter program now also works on native Woe32 platforms.
  - Compiled C# message catalogs now also work with 'mono' versions from 2009
    or newer.
Comment 2 Upstream Release Monitoring 2010-06-04 06:07:58 EDT
Latest upstream release: 0.18.1
Current version in Fedora Rawhide: 0.17
URL: http://ftp.gnu.org/gnu/gettext/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 3 Upstream Release Monitoring 2010-06-07 06:06:35 EDT
Latest upstream release: 0.18.1.1
Current version in Fedora Rawhide: 0.17
URL: http://ftp.gnu.org/gnu/gettext/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 4 Jens Petersen 2010-06-11 02:08:29 EDT
I built 0.18.1.1 for rawhide.
Comment 5 Fedora Update System 2010-06-11 02:09:41 EDT
gettext-0.18.1.1-0.1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gettext-0.18.1.1-0.1.fc13
Comment 6 Jens Petersen 2010-06-11 02:15:02 EDT
I can push an update later for f12 too if there is demand/need.
Comment 7 Fedora Update System 2010-06-14 13:28:39 EDT
gettext-0.18.1.1-0.1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.18.1.1-0.1.fc13
Comment 8 Fedora Update System 2010-06-15 12:01:22 EDT
gettext-0.18.1.1-0.1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.18.1.1-0.1.fc13
Comment 9 Fedora Update System 2010-06-21 17:35:29 EDT
gettext-0.18.1.1-0.1.fc13, gambas-1.0.19-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext gambas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.18.1.1-0.1.fc13,gambas-1.0.19-13.fc13
Comment 10 Fedora Update System 2010-06-22 13:18:35 EDT
gettext-0.18.1.1-0.1.fc13, blender-2.49b-9.fc13, gambas-1.0.19-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext blender gambas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.18.1.1-0.1.fc13,blender-2.49b-9.fc13,gambas-1.0.19-13.fc13
Comment 11 Fedora Update System 2010-06-23 13:40:41 EDT
blender-2.49b-9.fc13, gettext-0.18.1.1-1.1.fc13, gambas-1.0.19-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blender gettext gambas'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.18.1.1-1.1.fc13,blender-2.49b-9.fc13,gambas-1.0.19-13.fc13
Comment 12 Fedora Update System 2010-07-06 13:13:21 EDT
blender-2.49b-9.fc13, gettext-0.18.1.1-1.1.fc13, gambas-1.0.19-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.